package de.openknowledge.javafx.widgets; 

import de.openknowledge.javafx.widgets.CoolButton; 
import de.openknowledge.javafx.feedreader.Selectable; 

import java.lang.*; 

import javafx.ui.*;
import javafx.ui.canvas.*;
import javafx.ui.filter.*;

/**
   * class representing a special kind of button for 
   * navigating to the first element of a Selectable 
   * object.
   */
public class GoToFirstNavigationButton extends CoolButton {
   attribute selectableList : Selectable; 
}

  attribute GoToFirstNavigationButton.text = "<<"; 
  attribute GoToFirstNavigationButton.x = 25;
  attribute GoToFirstNavigationButton.y = 25;  
  attribute GoToFirstNavigationButton.fontFace = Font { face: VERDANA, size: 10 };

   operation GoToFirstNavigationButton.onMouseClicked(e:CanvasMouseEvent) {
      selectableList.selectedIndex = 0; 
 }
