package de.openknowledge.javafx.feedreader;

/**
   * Class representing a single feed news element 
   *
   */
public class FeedNews extends Displayable {
    
   /** author of the feed neews */
    attribute author:  String; 

   /** title of the feed news */
    attribute title:   String; 

    /** link of the feed news */
    attribute link:    String; 
   
    /** uri of the feed news */ 
    attribute uri:     String; 
}


/** Trigger to set the displayText attribute 
   * of the class Displayable with the 
   * internal attribute title
   */
trigger on FeedNews.title[oldValue] = newValue {
  displayText = newValue;
}

